Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 161577 - sginfo has hardcoded table of supported devices
Summary: sginfo has hardcoded table of supported devices
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: sg3_utils
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Dan Horák
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-24 15:49 UTC by Lee Schermerhorn
Modified: 2008-08-15 09:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-08-15 09:11:49 UTC


Attachments (Terms of Use)

Description Lee Schermerhorn 2005-06-24 15:49:05 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050513 Fedora/1.0.4-1.3.1 Firefox/1.0.4

Description of problem:
sginfo contains a hardcode list of devices [char *devices[]] on which it will report.  In RHEL4/sg3_utils-1.06, this list contains only ~30 disks [sda-sdad], so 'sginfo -l' will report on only the first 30 disks.  

Version-Release number of selected component (if applicable):
sg3_utils-1.06

How reproducible:
Always

Steps to Reproduce:
1. on a system with >30 disks, try 'sginfo -l'
2.
3.
  

Actual Results:  sginfo will report on only the 1st 30 disks [sda-sdad].

Expected Results:  sginfo should have reported on all scsi disks supported by the kernel/drivers.

Additional info:

upstream sg3_utils-1.15 has expanded the table to support ~78 disks [sda-sdbz], but still doesn't report on all attached disks supported by the genhd and scsi-generic drivers.  A more reliable method [scan /dev/sd* and/or /sys/block/sd*] for discovering configured disks would seem appropriate.  With the introduction of libsgutils [~sg3_utils-1.09], perhaps the device scan could be shared between all sg utilities that need to discover ALL configured scsi devices.  See boog 161570.

Comment 1 Phil Knirsch 2005-06-27 09:46:12 UTC
Same question as for bug 161670: Has this bug been sent to the sg3_utils
upstream maintainers and is there a fix available from them?

Read ya, Phil


Comment 2 Phil Knirsch 2008-04-17 15:37:06 UTC
Has been fixed in sg3_utils-1.17 and newer. As we're currently shipping
sg3_utils-1.22 with RHEL-4.6 i think we can close this bug.

Read ya, Phil


Note You need to log in before you can comment on or make changes to this bug.